PackageElem
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types
Class PackageElem

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.utils.serialization.types.PackageElem

    public class PackageElem

extends java.lang.Object

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static java.lang.String` | `NODE_TAG`

Constructor Summary
`PackageElem()`
`PackageElem(boolean reuse, java.lang.String serviceClass, java.lang.String serviceName, java.lang.String serviceVersion, java.lang.String packageName, java.lang.String packageVersion)`
`PackageElem(boolean reuse, java.lang.String serviceClass, java.lang.String serviceName, java.lang.String serviceVersion, java.lang.String packageName, java.lang.String packageVersion, FeedbackStatus status)`
`PackageElem(PackageElem p)` Clones the package passed in input

Method Summary
`java.lang.String` | `getPackageName()`
`java.lang.String` | `getPackageVersion()`
`java.lang.String` | `getServiceClass()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getServiceVersion()`
`FeedbackStatus` | `getStatus()`
`boolean` | `isReuse()`
`void` | `setPackageName(java.lang.String packageName)`
`void` | `setPackageVersion(java.lang.String packageVersion)`
`void` | `setReuse(boolean reuse)`
`void` | `setServiceClass(java.lang.String serviceClass)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setServiceVersion(java.lang.String serviceVersion)`
`void` | `setStatus(FeedbackStatus status)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_TAG

    public static final java.lang.String NODE_TAG

See Also:
  Constant Field Values

Constructor Detail

### PackageElem

    public PackageElem()

### PackageElem

    public PackageElem(PackageElem p)

  Clones the package passed in input

  Parameters:
    `p` - the package to clone

### PackageElem

    public PackageElem(boolean reuse,
                       java.lang.String serviceClass,
                       java.lang.String serviceName,
                       java.lang.String serviceVersion,
                       java.lang.String packageName,
                       java.lang.String packageVersion)

### PackageElem

    public PackageElem(boolean reuse,
                       java.lang.String serviceClass,
                       java.lang.String serviceName,
                       java.lang.String serviceVersion,
                       java.lang.String packageName,
                       java.lang.String packageVersion,
                       FeedbackStatus status)

Method Detail

### setServiceClass

    public final void setServiceClass(java.lang.String serviceClass)

### setServiceName

    public final void setServiceName(java.lang.String serviceName)

### setServiceVersion

    public final void setServiceVersion(java.lang.String serviceVersion)

### setPackageName

    public final void setPackageName(java.lang.String packageName)

### setPackageVersion

    public final void setPackageVersion(java.lang.String packageVersion)

### getServiceClass

    public final java.lang.String getServiceClass()

### getServiceName

    public final java.lang.String getServiceName()

### getServiceVersion

    public final java.lang.String getServiceVersion()

### getPackageName

    public final java.lang.String getPackageName()

### getPackageVersion

    public final java.lang.String getPackageVersion()

### isReuse

    public final boolean isReuse()

### setReuse

    public final void setReuse(boolean reuse)

### getStatus

    public final FeedbackStatus getStatus()

### setStatus

    public final void setStatus(FeedbackStatus status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD